Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class RGBBlockFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus
                  |
                  +--com.sun.jimi.core.filters.RGBBlockFilter

Direct Known Subclasses:
  Gamma, Invert

public abstract class RGBBlockFilter
extends ImageFilterPlus

Fields inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`RGBBlockFilter(java.awt.image.ImageProducer producer)`

Method Summary
`abstract int[][]` | `filterRGBBlock(int x, int y, int width, int height, int[][] rgbPixels)`
`void` | `setColorModel(java.awt.image.ColorModel model)`
`void` | `setPixels(int x, int y, int width, int height, java.awt.image.ColorModel model, byte[] pixels, int offset, int scansize)`
`void` | `setPixels(int x, int y, int width, int height, java.awt.image.ColorModel model, int[] pixels, int offset, int scansize)`

Methods inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`filterStream, getSource, imageComplete, setHints, setSource`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setDimensions, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RGBBlockFilter

    public RGBBlockFilter(java.awt.image.ImageProducer producer)

Method Detail

### filterRGBBlock

    public abstract int[][] filterRGBBlock(int x,
                                           int y,
                                           int width,
                                           int height,
                                           int[][] rgbPixels)

### setColorModel

    public void setColorModel(java.awt.image.ColorModel model)

  Overrides:
    setColorModel in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int offset,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int offset,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD